Package org.drinkless.tdlib

# Class TdApi.KeyboardButton

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.KeyboardButton

Enclosing class:
  `TdApi`

public static class TdApi.KeyboardButton extends TdApi.Object
Represents a single button in a bot keyboard.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `iconCustomEmojiId`
  Identifier of the custom emoji that must be shown on the button; 0 if none.
  `TdApi.ButtonStyle`
  `style`
  Style of the button.
  `String`
  `text`
  Text of the button.
  `TdApi.KeyboardButtonType`
  `type`
  Type of the button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyboardButton()`
  Represents a single button in a bot keyboard.
  `KeyboardButton(String text, long iconCustomEmojiId, TdApi.ButtonStyle style, TdApi.KeyboardButtonType type)`
  Represents a single button in a bot keyboard.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public String text
    Text of the button.

  - ### iconCustomEmojiId

    public long iconCustomEmojiId
    Identifier of the custom emoji that must be shown on the button; 0 if none.

  - ### style

    public TdApi.ButtonStyle style
    Style of the button.

  - ### type

    public TdApi.KeyboardButtonType type
    Type of the button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KeyboardButton

    public KeyboardButton()
    Represents a single button in a bot keyboard.

  - ### KeyboardButton

    public KeyboardButton(String text, long iconCustomEmojiId, TdApi.ButtonStyle style, TdApi.KeyboardButtonType type)
    Represents a single button in a bot keyboard.
    Parameters:
      `text` - Text of the button.
      `iconCustomEmojiId` - Identifier of the custom emoji that must be shown on the button; 0 if none.
      `style` - Style of the button.
      `type` - Type of the button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR